# DataExchange
TKSTEP209
StepFEA

# StepFEA_ConstantSurface3dElementCoordinateSystem Class Reference

Representation of STEP entity ConstantSurface3dElementCoordinateSystem
.

`#include <StepFEA_ConstantSurface3dElementCoordinateSystem.hxx>`

Inheritance diagram for StepFEA_ConstantSurface3dElementCoordinateSystem:

[legend]

## Public Member Functions

Standard_EXPORT | StepFEA_ConstantSurface3dElementCoordinateSystem ()
| Empty constructor .
Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aRepresentationItem_Name, const Standard_Integer aAxis, const Standard_Real aAngle)
| Initialize all fields (own and inherited) .
Standard_EXPORT Standard_Integer | Axis () const
| Returns field Axis .
Standard_EXPORT void | SetAxis (const Standard_Integer Axis)
| Set field Axis .
Standard_EXPORT Standard_Real | Angle () const
| Returns field Angle .
Standard_EXPORT void | SetAngle (const Standard_Real Angle)
| Set field Angle .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | theAxis
Standard_Real | theAngle

## Constructor & Destructor Documentation

Standard_EXPORT StepFEA_ConstantSurface3dElementCoordinateSystem::StepFEA_ConstantSurface3dElementCoordinateSystem | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Real StepFEA_ConstantSurface3dElementCoordinateSystem::Angle | ( |  | ) | const

Standard_EXPORT Standard_Integer StepFEA_ConstantSurface3dElementCoordinateSystem::Axis | ( |  | ) | const

Standard_EXPORT const StepFEA_ConstantSurface3dElementCoordinateSystem::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepFEA_FeaRepresentationItem.

Standard_EXPORT void StepFEA_ConstantSurface3dElementCoordinateSystem::Init | ( | const Handle(TCollection_HAsciiString)& | aRepresentationItem_Name,
|  | const Standard_Integer | aAxis,
|  | const Standard_Real | aAngle
| ) |

Standard_EXPORT void StepFEA_ConstantSurface3dElementCoordinateSystem::SetAngle | ( | const Standard_Real | Angle | ) |

Standard_EXPORT void StepFEA_ConstantSurface3dElementCoordinateSystem::SetAxis | ( | const Standard_Integer | Axis | ) |

## Field Documentation

Standard_Real StepFEA_ConstantSurface3dElementCoordinateSystem::theAngle `[private]`

Standard_Integer StepFEA_ConstantSurface3dElementCoordinateSystem::theAxis `[private]`

The documentation for this class was generated from the following file:

- StepFEA_ConstantSurface3dElementCoordinateSystem.hxx